#define CORE_NAME "rcm2_mmcsd_core"

#include <autoconf.h>
#if defined(CONFIG_MMCSD_DEBUG)
#define TRACE_DEBUG
#define DEBUG
#endif
#include <hermit.h>
#include <herrno.h>
#include <platform.h>
#include <delay.h>
#include <arch/system.h>
#include <arch/pinmux.h>
#include <mmcsd.h>

extern struct mmc_host rcm2_mmc;
extern struct mmc_host rcm2_sdhc;

static int rcm2_mmcsd_probe(struct mmcsd_device *dev, int port)
{
	int dev_nr = 0;
	trace();

#if defined(CONFIG_MMCSD_RCM2_MMC)
	if (dev_nr++ == port) {
		dev->host = &rcm2_mmc;
		dev->host->base = MMCIF_BASE_ADDR;
		return 0;
	}
#endif

#if defined(CONFIG_MMCSD_RCM2_SDHC_SDHI0)
	if (dev_nr++ == port) {
		dev->host = &rcm2_sdhc;
		dev->host->base = SDHI0_BASE_ADDR;
		return 0;
	}
#endif

#if defined(CONFIG_MMCSD_RCM2_SDHC_SDHI1)
	if (dev_nr++ == port) {
		dev->host = &rcm2_sdhc;
		dev->host->base = SDHI1_BASE_ADDR;
		return 0;
	}
#endif

	return -H_EINVAL;
}

static void rcm2_mmcsd_remove(struct mmcsd_device *dev)
{
	trace();
}

struct mmcsd_device rcm2_mmcsd = {
	.probe = rcm2_mmcsd_probe,
	.remove = rcm2_mmcsd_remove,
};
